Ruby 1.9 works marvels with encoding. I don't agree with Brian at all. 
Thanks for all the hard work and the courage to make tough decisions 
that piss people off.

There's always other languages if you want that choice made differently...

1.8 was unfinished in that regard, I really wonder why people get so 
nostalgic about it. I had a lot of encoding trouble back in those days 
which are just gone now.

kaspar